From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/libopenraw/
Date: Sat, 31 Dec 2022 23:09:37 +0000 (UTC) [thread overview]
Message-ID: <1672527908.18c5c05a7b49e9e81776197927accf75f02bf0ce.sam@gentoo> (raw)
commit: 18c5c05a7b49e9e81776197927accf75f02bf0ce
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 31 23:05:08 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Dec 31 23:05:08 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=18c5c05a
media-libs/libopenraw: add 0.3.3
Signed-off-by: Sam James <sam <AT> gentoo.org>
media-libs/libopenraw/libopenraw-0.3.3.ebuild | 101 ++++++++++++++++++++++++++
1 file changed, 101 insertions(+)
diff --git a/media-libs/libopenraw/libopenraw-0.3.3.ebuild b/media-libs/libopenraw/libopenraw-0.3.3.ebuild
new file mode 100644
index 000000000000..9333b1a4b20a
--- /dev/null
+++ b/media-libs/libopenraw/libopenraw-0.3.3.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Run cargo-build or cargo fetch in lib/mp4 to get this list
+CRATES="
+ahash-0.7.6
+aho-corasick-0.7.18
+atty-0.2.14
+autocfg-1.0.0
+bitreader-0.3.2
+byteorder-1.2.2
+cfg-if-0.1.10
+cfg-if-1.0.0
+env_logger-0.8.4
+fallible_collections-0.4.4
+getrandom-0.2.7
+hashbrown-0.11.2
+hermit-abi-0.1.8
+humantime-2.1.0
+libc-0.2.126
+log-0.4.17
+memchr-2.5.0
+num-traits-0.2.15
+once_cell-1.12.0
+regex-1.5.6
+regex-syntax-0.6.26
+static_assertions-1.1.0
+termcolor-1.1.3
+version_check-0.9.4
+wasi-0.11.0+wasi-snapshot-preview1
+winapi-0.3.8
+winapi-i686-pc-windows-gnu-0.4.0
+winapi-util-0.1.5
+winapi-x86_64-pc-windows-gnu-0.4.0
+"
+
+inherit cargo gnome2-utils
+
+DESCRIPTION="RAW image formats decoding library"
+HOMEPAGE="https://libopenraw.freedesktop.org/"
+SRC_URI="https://${PN}.freedesktop.org/download/${P}.tar.xz"
+SRC_URI+=" $(cargo_crate_uris)"
+
+LICENSE="GPL-3 LGPL-3"
+SLOT="0/9"
+KEYWORDS="~amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-solaris"
+IUSE="gtk test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-libs/libxml2
+ media-libs/libjpeg-turbo:=
+ gtk? (
+ dev-libs/glib:2
+ >=x11-libs/gdk-pixbuf-2.24.0:2
+ )
+"
+DEPEND="
+ ${RDEPEND}
+ dev-libs/boost
+"
+BDEPEND="
+ virtual/pkgconfig
+ test? ( net-misc/curl )
+"
+
+src_configure() {
+ econf \
+ --with-boost="${EPREFIX}"/usr \
+ $(use_enable gtk gnome)
+}
+
+src_compile() {
+ # Avoid cargo_src_compile
+ default
+}
+
+src_test() {
+ # Avoid cargo_src_test
+ default
+}
+
+src_install() {
+ default
+
+ find "${ED}" -name '*.la' -delete || die
+}
+
+pkg_preinst() {
+ use gtk && gnome2_gdk_pixbuf_savelist
+}
+
+pkg_postinst() {
+ use gtk && gnome2_gdk_pixbuf_update
+}
+
+pkg_postrm() {
+ use gtk && gnome2_gdk_pixbuf_update
+}
next reply other threads:[~2022-12-31 23:09 UTC|newest]
Thread overview: 72+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-12-31 23:09 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-10 1:33 [gentoo-commits] repo/gentoo:master commit in: media-libs/libopenraw/ Sam James
2024-10-13 13:51 Andreas Sturmlechner
2024-10-12 16:22 Sam James
2024-10-04 21:40 Andreas Sturmlechner
2024-10-04 17:30 Arthur Zamarin
2024-10-04 14:12 Andreas Sturmlechner
2024-10-04 2:40 Sam James
2024-10-04 2:40 Sam James
2024-10-04 2:40 Sam James
2024-10-04 2:40 Sam James
2024-04-19 10:38 Sam James
2024-02-06 11:02 Michał Górny
2023-11-07 20:35 Sam James
2023-09-09 7:54 Andreas Sturmlechner
2023-09-09 7:32 Andreas Sturmlechner
2023-09-07 20:15 Sam James
2023-08-04 9:28 Sam James
2023-07-24 20:12 WANG Xuerui
2023-07-19 9:33 Sam James
2023-07-18 21:25 Sam James
2023-07-18 21:25 Sam James
2023-07-18 21:25 Sam James
2023-07-18 21:25 Sam James
2023-06-12 0:45 Sam James
2023-05-03 7:49 Sam James
2023-02-22 16:56 Sam James
2023-02-22 16:56 Sam James
2023-02-22 16:56 Sam James
2023-02-22 16:56 Sam James
2023-02-22 16:56 Sam James
2023-02-22 16:56 Sam James
2023-02-22 16:56 Sam James
2023-01-13 16:47 Sam James
2023-01-13 16:31 Arthur Zamarin
2023-01-13 13:37 Arthur Zamarin
2023-01-13 12:20 Arthur Zamarin
2022-12-31 23:09 Sam James
2022-12-18 20:33 Arthur Zamarin
2022-12-18 20:17 Arthur Zamarin
2022-11-29 15:58 WANG Xuerui
2022-10-29 20:17 Sam James
2022-10-29 20:16 Sam James
2021-08-23 22:59 Marek Szuba
2021-04-12 23:33 Sam James
2021-02-15 9:03 Andreas Sturmlechner
2021-02-15 0:38 Sam James
2021-02-05 12:29 Sam James
2021-02-03 3:11 Sam James
2021-02-02 4:19 Sam James
2021-02-01 22:15 Sam James
2021-02-01 22:15 Sam James
2021-02-01 17:31 Andreas Sturmlechner
2020-12-02 0:32 Aaron Bauman
2018-11-18 0:36 Gilles Dartiguelongue
2018-11-17 21:18 Gilles Dartiguelongue
2018-11-17 18:48 Gilles Dartiguelongue
2018-09-30 17:45 Andreas Sturmlechner
2018-07-20 22:24 Sergei Trofimovich
2018-03-31 18:01 Sebastian Pipping
2018-03-29 6:37 Sergei Trofimovich
2018-03-25 17:18 Markus Meier
2018-03-20 8:21 Sergei Trofimovich
2018-03-06 13:32 Tobias Klausmann
2018-02-21 18:48 Jason Zaman
2018-02-12 20:06 Sergei Trofimovich
2018-02-11 19:13 Thomas Deutschmann
2018-02-10 18:38 Sergei Trofimovich
2018-02-10 12:56 Jeroen Roovers
2018-01-20 23:03 Andreas Sturmlechner
2017-06-27 12:24 Michael Palimaka
2017-04-16 15:43 Gilles Dartiguelongue
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1672527908.18c5c05a7b49e9e81776197927accf75f02bf0ce.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox